      Subroutine Solve(F_Y,
     *                 F_Param,
     *                 I_Param,
     *                 I_Y,
     *                 Param_Model )
      include 'Solve.fi'
      return; end
